Bug Hunting Session
Bug 108494 - With cursor at specific places, classification positions watermark incorrectly
Summary: With cursor at specific places, classification positions watermark incorrectly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.3.3 release
Hardware: All All
: medium normal
Assignee: Szymon Kłos
URL:
Whiteboard: target:6.0.0 target:5.4.0.1
Keywords: implementationError
Depends on:
Blocks:
 
Reported: 2017-06-13 00:16 UTC by Aron Budea
Modified: 2017-08-11 08:57 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (108.76 KB, image/png)
2017-06-13 00:16 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-06-13 00:16:44 UTC
Created attachment 133991 [details]
Screenshot

- In Writer, keep pressing Enter until you have 3 pages.
- Go back to the bottom of 2nd page (doesn't have to be the last line, but close to bottom).
- Enable TSCP Classification toolbar, and on the toolbar select Intellectual Property: Confidential.

=> Watermark on 2nd page is positioned incorrectly, and overlaps the next page. (see attached screenshot)

The bug also occurs with the new watermark feature that is independent from classification.

Reproduced using LO 5.2.3.3 & 5.4beta1 / Ubuntu 17.04.
Comment 1 Commit Notification 2017-06-13 21:16:34 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f9aa57181be0cd02d07fb463410b5c1dde11ea1e

tdf#108494 incorrect Watermark position

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2017-06-17 11:42:26 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=721efbeb117962e9b0cd547b51ede4a6736042a6&h=libreoffice-5-4

tdf#108494 incorrect Watermark position

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Aron Budea 2017-07-01 23:49:35 UTC
Szymon, I presume this is fixed now, so closing the bug report. Thanks!
Comment 4 Commit Notification 2017-07-28 12:10:29 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1cbe551d86ec528533fee04f20c490a96c0ec3d3

tdf#109313 tdf#108494: fix incorrect Watermark position

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-08-11 08:57:34 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=19b0171bbb6c2bcdab998b74a212dc68b1884e84

tdf#108494 fix regression

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.